OGRE: Ogre::DefaultSceneManagerFactory Class Reference - OGRE Documentation

Public Member Functions | Static Public Attributes | Protected Member Functions | Protected Attributes

# Ogre::DefaultSceneManagerFactory Class Reference
[Scene]

Factory for default scene manager. More...

`#include <OgreSceneManagerEnumerator.h>`

Inheritance diagram for Ogre::DefaultSceneManagerFactory:
[legend]

List of all members.

## Public Member Functions
| DefaultSceneManagerFactory ()
| ~DefaultSceneManagerFactory ()
SceneManager * | createInstance (const String &instanceName)
| Create a new instance of a SceneManager.
void | destroyInstance (SceneManager *instance)
| Destroy an instance of a SceneManager.
virtual const SceneManagerMetaData & | getMetaData (void) const
| Get information about the SceneManager type created by this factory.
void * | operator new (size_t sz, const char *file, int line, const char *func)
| operator new, with debug line info
void * | operator new (size_t sz)
void * | operator new (size_t sz, void *ptr)
| placement operator new
void * | operator new[] (size_t sz, const char *file, int line, const char *func)
| array operator new, with debug line info
void * | operator new[] (size_t sz)
void | operator delete (void *ptr)
void | operator delete (void *ptr, void *)
void | operator delete (void *ptr, const char *, int, const char *)
void | operator delete[] (void *ptr)
void | operator delete[] (void *ptr, const char *, int, const char *)
## Static Public Attributes
static const String | FACTORY_TYPE_NAME
| Factory type name.
## Protected Member Functions
void | initMetaData (void) const
| Internal method to initialise the metadata, must be implemented.
## Protected Attributes
SceneManagerMetaData | mMetaData
bool | mMetaDataInit

## Detailed Description

Factory for default scene manager.

Definition at line 46 of file OgreSceneManagerEnumerator.h.

## Constructor & Destructor Documentation

Ogre::DefaultSceneManagerFactory::DefaultSceneManagerFactory | ( |  | ) |

Definition at line 51 of file OgreSceneManagerEnumerator.h.

Ogre::DefaultSceneManagerFactory::~DefaultSceneManagerFactory | ( |  | ) |

Definition at line 52 of file OgreSceneManagerEnumerator.h.

## Member Function Documentation

SceneManager* Ogre::DefaultSceneManagerFactory::createInstance | ( | const String & | instanceName | ) | `[virtual]`

Create a new instance of a SceneManager.

Remarks:
  Don't call directly, use SceneManagerEnumerator::createSceneManager.

Implements Ogre::SceneManagerFactory.

void Ogre::DefaultSceneManagerFactory::destroyInstance | ( | SceneManager * | instance | ) | `[virtual]`

Destroy an instance of a SceneManager.

Implements Ogre::SceneManagerFactory.

virtual const SceneManagerMetaData& Ogre::SceneManagerFactory::getMetaData | ( | void |  | ) | const`[virtual, inherited]`

Get information about the SceneManager type created by this factory.

Definition at line 3479 of file OgreSceneManager.h.

void Ogre::DefaultSceneManagerFactory::initMetaData | ( | void |  | ) | const`[protected, virtual]`

Internal method to initialise the metadata, must be implemented.

Implements Ogre::SceneManagerFactory.

template<class Alloc >

void Ogre::AllocatedObject< Alloc >::operator delete | ( | void * | ptr | ) | `[inherited]`

Definition at line 95 of file OgreMemoryAllocatedObject.h.

template<class Alloc >

void Ogre::AllocatedObject< Alloc >::operator delete | ( | void * | ptr,
|  | void * |  |
| ) |  |  | `[inherited]`

Definition at line 101 of file OgreMemoryAllocatedObject.h.

template<class Alloc >

void Ogre::AllocatedObject< Alloc >::operator delete | ( | void * | ptr,
|  | const char * | ,
|  | int | ,
|  | const char * |  |
| ) |  |  | `[inherited]`

Definition at line 107 of file OgreMemoryAllocatedObject.h.

template<class Alloc >

void Ogre::AllocatedObject< Alloc >::operator delete[] | ( | void * | ptr | ) | `[inherited]`

Definition at line 112 of file OgreMemoryAllocatedObject.h.

template<class Alloc >

void Ogre::AllocatedObject< Alloc >::operator delete[] | ( | void * | ptr,
|  | const char * | ,
|  | int | ,
|  | const char * |  |
| ) |  |  | `[inherited]`

Definition at line 118 of file OgreMemoryAllocatedObject.h.

template<class Alloc >

void* Ogre::AllocatedObject< Alloc >::operator new | ( | size_t | sz,
|  | const char * | file,
|  | int | line,
|  | const char * | func |
| ) |  |  | `[inherited]`

operator new, with debug line info

Definition at line 67 of file OgreMemoryAllocatedObject.h.

template<class Alloc >

void* Ogre::AllocatedObject< Alloc >::operator new | ( | size_t | sz | ) | `[inherited]`

Definition at line 72 of file OgreMemoryAllocatedObject.h.

template<class Alloc >

void* Ogre::AllocatedObject< Alloc >::operator new | ( | size_t | sz,
|  | void * | ptr |
| ) |  |  | `[inherited]`

placement operator new

Definition at line 78 of file OgreMemoryAllocatedObject.h.

template<class Alloc >

void* Ogre::AllocatedObject< Alloc >::operator new[] | ( | size_t | sz,
|  | const char * | file,
|  | int | line,
|  | const char * | func |
| ) |  |  | `[inherited]`

array operator new, with debug line info

Definition at line 85 of file OgreMemoryAllocatedObject.h.

template<class Alloc >

void* Ogre::AllocatedObject< Alloc >::operator new[] | ( | size_t | sz | ) | `[inherited]`

Definition at line 90 of file OgreMemoryAllocatedObject.h.

## Member Data Documentation

const String Ogre::DefaultSceneManagerFactory::FACTORY_TYPE_NAME`[static]`

Factory type name.

Definition at line 54 of file OgreSceneManagerEnumerator.h.

SceneManagerMetaData Ogre::SceneManagerFactory::mMetaData`[mutable, protected, inherited]`

Definition at line 3471 of file OgreSceneManager.h.

bool Ogre::SceneManagerFactory::mMetaDataInit`[mutable, protected, inherited]`

Definition at line 3472 of file OgreSceneManager.h.

The documentation for this class was generated from the following file:

- OgreSceneManagerEnumerator.h

Copyright © 2008 Torus Knot Software Ltd
This work is licensed under a Creative Commons Attribution-ShareAlike 3.0 Unported License.
Last modified Wed Nov 3 2010 19:25:00